gsasl_mechanism_name(3)

NAME
gsasl_mechanism_name - API function

SYNOPSIS
#include <gsasl.h>

const char * gsasl_mechanism_name(Gsasl_session * sctx);

ARGUMENTS

Gsasl_session * sctx
    libgsasl session handle.

DESCRIPTION
This function returns the name of the SASL mechanism used in the session. The pointer must not be deallocated by the caller. Return value: Returns a zero terminated character array with the name of the SASL mechanism, or NULL if not known.

SINCE
0.2.28

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU SASL home page: https://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/gsasl/manual/